Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 445370

Summary: app-emacs/visual-basic-mode - VisualBasicMode
Product: Gentoo Linux Reporter: Michael Orlitzky <mjo>
Component: New packagesAssignee: Default Assignee for New Packages <maintainer-wanted>
Status: RESOLVED FIXED    
Severity: enhancement CC: emacs
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://www.emacswiki.org/emacs/VisualBasicMode
Whiteboard:
Package list:
Runtime testing required: ---

Description Michael Orlitzky gentoo-dev 2012-11-30 18:58:55 UTC
I occasionally need to dig through visual basic or vbscript code, and having syntax highlighting makes it slightly less awful. Committed to my personal overlay here:

http://michael.orlitzky.com/git/?p=mjo-overlay.git;a=commit;h=f669358b0d3de0e11c6c82dfddfb64f072b85fcf

based on similar ebuild in the emacs overlay.
Comment 1 Michael Orlitzky gentoo-dev 2013-12-03 01:37:12 UTC
Ping. Now that I have the cool badge next to my name, I'll eventually take this myself if the emacs team doesn't want it.
Comment 2 Ulrich Müller gentoo-dev 2013-12-03 05:59:48 UTC
Sorry, this went under my radar for some reason. (Why haven't you pinged earlier?)
Comment 3 Ulrich Müller gentoo-dev 2013-12-07 09:11:39 UTC
There are some byte-compilation warnings:

visual-basic-mode.el:1770:1:Warning: the following functions are not known to
    be defined: zmacs-activate-region, goto-cFormatCurrencyhar,
    Propertyre-search-forward

zmacs-activate-region is protected by an XEmacs conditional. The other two look like copy/paste accidents, though.
Comment 4 Ulrich Müller gentoo-dev 2013-12-07 11:22:47 UTC
For the time being, I've committed version 1.4.12, because above mentioned problems are absent from it.

In the site-init file, I've added the interactive flag to the autoload command, and I've combined all filename extensions in one regexp.

+*visual-basic-mode-1.4.12 (07 Dec 2013)
+
+  07 Dec 2013; Ulrich Müller <ulm@gentoo.org>
+  +visual-basic-mode-1.4.12.ebuild, +files/50visual-basic-mode-gentoo.el,
+  +metadata.xml:
+  Initial import. Ebuild and site-init file contributed by Michael Orlitzky
+  <mjo@gentoo.org> in bug 445370.
+